/** Add css rules here for your application. */
/*
#
#  Copyright 2007-2015 Hewlett-Packard Development Company, L.P.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, softwaref
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#


*/
.syntacticItemLabel {
	padding-right: 0.5em;
	color: #337bc4;
}

.syntacticItemLabel-VariableDeclarationOn {
	background-color: PaleGreen;
}

.syntacticItemLabel-VariableDeclarationOnAndMouseOver {
	background-color: Green;
	color: white;
}

.syntacticItemLabel-VariableDeclarationBorder {
	border: thin;
	border-color: blue;
	border-style: dashed;
}

.syntacticItemLabel-VariableDeclarationBorderAndMouseOver {
	border: thin;
	border-color: blue;
	background-color: blue;
	color: white;
	border-style: solid;
}

.syntacticItemLabel-VariableDeclarationHighlighted {
	border: thin;
	border-color: blue;
	background-color: #B0E2FF;
	border-style: solid;
}

.syntacticItemLabel-VariableDeclarationHighlightedClicked {
	border: thin;
	border-color: blue;
	background-color: blue;
	color: white;
	border-style: solid;
}

.syntacticItemLabel-VariableReferenceBorder {
	border: thin;
	border-color: #FF2400;
	border-style: dashed;
}

.syntacticItemLabel-VariableReferenceBorderAndMouseOver {
	border: thin;
	border-color: #FF2400;
	background-color: #FF2400;
	color: white;
	border-style: solid;
}

.syntacticItemLabel-VariableReferenceHighlighted {
	border: thin;
	border-color: #FF2400;
	background-color: orange;
	border-style: solid;
}

.syntacticItemLabel-VariableReferenceHighlightedClicked {
	border: thin;
	border-color: #FF2400;
	background-color: #FF2400;
	color: white;
	border-style: solid;
}

.statementMoving {
	background-color: yellow;
}

.toolbarStyle {
	position: fixed;
	top: 1em;
	right: 1em;
	border: solid;
	border-color: blue;
	filter: opacity(100%);
	-moz-opacity: 1.0;
	opacity: 1.0;
}

/** Example rules used by the template application (remove for your app) */
h1 {
	font-size: 4em;
	font-weight: normal;
	color: #ffffff;
	margin: 0px 0px 0px 0px;
	text-align: center;
	padding-top: 0.5em;
	padding-left: 7em;
	font: normal normal 60px Georgia, Utopia, "Open Sans", sans-serif;
	padding-bottom: 1em;
	/*  background: rgba(96,160,234,.3); */
}

.mybody {
	background: url("background.jpg") no-repeat fixed;
	background-size: cover;
}

/* .myheader{
	background: rgba(96,160,234,.3);
}
 */
.sendButton {
	display: block;
	font-size: 16pt;
}

/** Most GWT widgets already have a style name defined */

.dialogVPanel {
	margin: 5px;
}

.serverResponseLabelError {
	color: red;
}

/** Set ids using widget.getElement().setId("idOfElement") */
#closeButton {
	margin: 15px 6px 6px;
}

.gwt-Label {
	padding: 3px;
	text-align: left;
	color: #337bc4;
	margin: 5px;
	font-weight: bold;
	font-size: 15px;
	font-family: Open Sans, sans-serif;
}

.normalFont {
	font-size: 100%;
	font-weight: normal;
	color: #337bc4;
	padding: 3px;
	margin: 5px;
	font-family: Open Sans, sans-serif;
	font-size: 15px;
	border-style: dotted;
	border-width: 1px;
}

.listBox {
	font-size: 100%;
	padding: 5px;
	margin: 5px;
	min-width:300px;
	width:95%;
}

.demo-PopUpPanel-message {
	font-size: 80%;
	padding: 15px;
	background-color: green;
}

.demo-popup {
	background-color: #ffc;
	border: 3px solid #009;
}

.header {
	height: 50px;
	width: 960px;
	margin: 0px auto;
	text-align: left;
}

.topheader {
	background: rgba(0, 0, 16, 0.52);
	border-bottom: 1px solid rgb(100, 100, 200);
}

.headerMainTitle {
	color: white;
	text-align: left;
	font-size: 190%;
	font-weight: bold;
	padding-left: .9em;
}

.c3isplogo {
	border-right: 1px solid rgb(100, 100, 200);
}

.userinfo {
	font-size: 80%;
	padding-right: 2.6em;
	padding-bottom: 0.7em;
	text-align: right;
	color: rgb(150, 190, 255);
}

.usermanual {
	padding-right: .5em;
}

.footer {
	background: rgba(0, 0, 16, 0.94);
	border-top: 1px solid rgb(100, 100, 200);
}

.version {
	text-align: right;
	font-size: 70%;
	padding: 0.5em;
	color: rgb(192, 192, 192);
	font-style: italic;
}

.hpelogo {
	padding: 5px;
}

.copyright {
	font-size: 70%;
	clear: both;
	text-align: center;
	color: rgb(192, 192, 192);
}

.dialogContent {
	text-align: left;
	font-size: 100%;
	color: #337bc4;
	white-space: pre-wrap;
	word-wrap: break-word;
}

.backDialogContent {
	text-align: left;
	font-size: 100%;
	color: black;
	White-space: pre-wrap;
	word-wrap: break-word;
}

.scrollContent {
	height: 40em;
	width: 40em;
}

.clearText {
	border: 0em;
	margin: 1em;
}

.partiesLabel {
	font-size: 100%;
	font-weight: bold;
	color: #337bc4;
	padding: 1em;
	margin-right: 7em;
}

.gwt-ListBox {
	margin-left: 0em;
	margin-right: 1em;
}

.policyTitle {
	color: #337bc4;
	font-family: 'Helvetica Neue', sans-serif;
	font-size: 20px;
	font-weight: 100;
	line-height: 50px;
	letter-spacing: 1px;
	border-bottom: double #555;
}

.policyPanel {
	padding: 2px;
	margin: 1px;
	border: 0px;
	border-color: white;
}

.gwtContainer {
	background-color: gray;
}

.myButton {
	height: 32px;
	padding: 0 14px;
	color: #f2f6fa;
	font-weight: 500;
	border-radius: 4px;
	border: 1px solid #4b7eb8;
	border-top-color: #5183b9;
	border-bottom-color: #4272af;
	background-color: #60a0ea;
	background-image: -webkit-linear-gradient(top, #67a7eb 2%, #5491de 98%);
	background-image: linear-gradient(to bottom, #67a7eb 2%, #5491de 98%);
	-webkit-box-shadow: inset 0 1px 0 #93bbed, inset 0 -1px 0 #4f8cd8, 0 2px
		3px rgba(0, 0, 0, 0.05);
	box-shadow: inset 0 1px 0 #93bbed, inset 0 -1px 0 #4f8cd8, 0 2px 3px
		rgba(0, 0, 0, 0.05);
	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.05);
	padding: 0 16px;
	font-weight: bold;
	min-width: 70px;
	margin-left: 2px;
	margin-right: 2px;
	padding-left: 3px;
	padding-right: 3px;
	vertical-align: middle !important;
}

.statementSection {
	border-bottom-color: #79bbff;
	padding-bottom: 1em;
	border-bottom-style: double;
}

.myCellTable {
	border-bottom: 2px solid #6f7277;
	padding: 3px 15px;
	text-align: left;
	color: #337bc4;
	text-shadow: 1px 1px 0px #ddf;
	overflow: hidden;
	font-size: medium;
	background-color: #ffffff;
	font-family: Arial Unicode MS, Arial, sans-serif;
	align-content: center;
}

.gwt-TextBox {
	padding: 2px;
	color: #337bc4;
}

.myTextBox {
	padding: 7px;
	color: #337bc4;
}

.gwt-Tree .gwt-TreeItem {
	padding: 1px 0px;
	margin: 0px;
	white-space: nowrap;
	cursor: pointer;
	color: #337bc4;
}

.gwt-ListBox {
	margin-left: 0em;
	margin-right: 1em;
	color: #337bc4;
}

.gwt-DisclosurePanel .header, .gwt-DisclosurePanel .header a,
	.gwt-DisclosurePanel .header td {
	text-decoration: line-through;
	color: #ffffff;
	cursor: pointer;
}

.gwt-ToggleButton-up {
	border: 1px outset #ccc;
	cursor: pointer;
	color: #337bc4;
	margin: 20px;
}

.gwt-TextArea {
	padding: 2px;
	color: #337bc4;
	border: #337bc4 solid 1px;
	background: white;
}

.gwt-DialogBox .Caption {
	font-weight: bold;
}

.dialog-close-button {
	color: #337bc4;
	font: 14px/100% arial, sans-serif;
	text-decoration: none;
	text-shadow: 0 1px 0 #000;
	top: 5px;
	padding-left: 20px;
	opacity: 0.6;
}

.dialog-close-button:hover {
	opacity: 1;
	color: #337bc4;
	font-weight: bold;
}

.mypanel {
	margin-left: 40em;
	background-color: azure;
}

.infoLabel {
	font-size: 100%;
	font-weight: bold;
	color: #4b4a4a;
	padding: 5px;
	margin: 5px;
}

.myRadioButton {
	color: #337bc4;
	font-family: Arial, sans-serif;
	font-size: 14px;
	font-weight: bold;
}

.myEnterButton {
	height: 32px;
	padding: 0 14px;
	color: #f2f6fa;
	font-weight: 500;
	border-radius: 4px;
	border: 1px solid #4b7eb8;
	border-top-color: #5183b9;
	border-bottom-color: #4272af;
	background-color: #60a0ea;
	background-image: -webkit-linear-gradient(top, #67a7eb 2%, #5491de 98%);
	background-image: linear-gradient(to bottom, #67a7eb 2%, #5491de 98%);
	-webkit-box-shadow: inset 0 1px 0 #93bbed, inset 0 -1px 0 #4f8cd8, 0 2px
		3px rgba(0, 0, 0, 0.05);
	box-shadow: inset 0 1px 0 #93bbed, inset 0 -1px 0 #4f8cd8, 0 2px 3px
		rgba(0, 0, 0, 0.05);
	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.05);
	padding: 0 16px;
	font-weight: bold;
	min-width: 70px;
}

.italicFont {
	font-size: 90%;
	font-weight: bold;
	font-style: italic;
	color: #4b4a4a;
	padding: 5px;
	margin: 5px;
	background-color: #FFFF00;
}

.customCheckBox {
	left: 4px;
	top: 4px;
	width: 20px;
	height: 20px;
	position: relative;
	margin: 20px auto;
	background: #337bc4;
	padding: 1px;
	box-shadow: inset 0px 1px 1px white, 0px 1px 3px rgba(0, 0, 0, 0.5);
	cursor: pointer;
	/*position: absolute;  */
	border: 3px solid #fcfff4;
	border-top: none;
	border-right: none;
	transform: rotate(-45deg);
}

input[type=checkbox] {
	visibility: visible;
	width: 1em;
}

/* gwt-bootstrap style */
.myLabel {
	display: inline;
	padding: .2em .6em .3em;
	font-size: 100%;
	font-weight: 700;
	line-height: 1;
	color: darkblue;
	text-align: center;
	white-space: nowrap;
	vertical-align: baseline;
	border-radius: .25em;
	background-color: cornflowerBlue;
	padding: 0.25em;
}

.myTr {
	padding: 0.3em;
}

.myTextArea {
	width: 300px;
	height: 150px;
}

.my-gwt-DisclosurePanel .content {
	border: 1px solid #337bc4;
	padding: 10px 10px 10px 10px;
	margin-left: 6px;
	background-color: rgba(255, 255, 255, .9);
}

.gwt-DecoratorPanel {
	margin-left: 1em;
	margin-right: 1em;
	background: rgba(255, 255, 255, .9);
}

.gwt-DecoratorPanel .topLeftInner, .gwt-DecoratorPanel .topRightInner,
	.gwt-DecoratorPanel .bottomLeftInner, .gwt-DecoratorPanel .bottomRightInner
	{
	width: 5px;
	height: 5px;
	zoom: 1;
}

.loginPanel {
	margin: 10em auto;
	background: rgba(255, 255, 255, .9);
}

.required:after {
	color: red;
	content: '*';
}

.required {
	padding: 3px;
	text-align: left;
	color: #337bc4;
	margin: 5px;
	font-weight: bold;
	font-size: 15px;
	font-family: Open Sans, sans-serif;
}

.internal-gwt-DisclosurePanel .content {
	padding: 10px 10px 10px 10px;
	margin-left: 6px;
	margin-top: 10px;
	background-color: rgba(255, 255, 255, .9);
}

.addButton {
	background-image: url("add.jpg");
	background-repeat: no-repeat;
	height: 20px;
	width: 20px;
}

.num-TextBox {
	padding: 2px;
	max-width: 75px;
	color: #337bc4;
}

input[type='checkbox'] {
	visibility: visible;
}

.buttoncell.gwt-Button {
	background-image: url("geo_gif.PNG");
	background-repeat: no-repeat;
	background-color: red;
	height: 20px;
	width: 20px;
}

.addButton {
	padding: 0 14px;
	color: #f2f6fa;
	font-weight: 500;
	border-radius: 4px;
	border: 1px solid #4b7eb8;
	border-top-color: #5183b9;
	border-bottom-color: #4272af;
	background-color: #60a0ea;
	background-image: -webkit-linear-gradient(top, #67a7eb 2%, #5491de 98%);
	background-image: linear-gradient(to bottom, #67a7eb 2%, #5491de 98%);
	-webkit-box-shadow: inset 0 1px 0 #93bbed, inset 0 -1px 0 #4f8cd8, 0 2px
		3px rgba(0, 0, 0, 0.05);
	box-shadow: inset 0 1px 0 #93bbed, inset 0 -1px 0 #4f8cd8, 0 2px 3px
		rgba(0, 0, 0, 0.05);
	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.05);
	padding: 0 16px;
	font-weight: bold;
	margin-left: 2px;
	margin-right: 2px;
	padding-left: 1px;
	padding-right: 1px;
	vertical-align: middle !important;
}

.customListBox {
	margin-right: 1em;
	color: #337bc4;
	margin-bottom: 1em;
	margin-left: 1em;
}